Skip to main content
`Ctrl`+`K`

# PCHPDDMSetCoarseCorrectionType

Sets the coarse correction type.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMSetCoarseCorrectionType(PC pc, PCHPDDMCoarseCorrectionType type)

Collective

## Input Parameters

- pc - preconditioner context

- type - `PC_HPDDM_COARSE_CORRECTION_DEFLATED`, `PC_HPDDM_COARSE_CORRECTION_ADDITIVE`, `PC_HPDDM_COARSE_CORRECTION_BALANCED`, or `PC_HPDDM_COARSE_CORRECTION_NONE`

## Options Database Key

- -pc_hpddm_coarse_correction <deflated, additive, balanced, none> - type of coarse correction to apply

## See Also

KSP: Linear System Solvers, `PCHPDDMGetCoarseCorrectionType()`, `PCHPDDM`, `PCHPDDMCoarseCorrectionType`

## Level

intermediate

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Implementations

PCHPDDMSetCoarseCorrectionType_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages